List All Private Notes
This endpoint retrieves a paginated list of all private notes across chats (in descending order of timestamp).
Response
The response is an array of JSON note objects. Refer to the note object here
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional. The phone to scope this request to — in country code + number format with no spaces or special characters (e.g. 919876543210), or the phone_id (phone-xxxxxxxxxxxx). When set, only private notes for that phone are returned. When omitted, notes are returned — across all phones your token can access (the phones in your token's scope, or every phone in your organization if the token is unscoped). Passing a phone that is outside your token's scope returns a 401.
"{{orgPhone}}"
Query Parameters
- The offset value for paginating the results
- Default
0
"0"
- The maximum number of notes to retrieve
- Default
500
"10"
- Filter for all notes from the start_time timestamp onwards
"2025-04-25 or 2025-04-25T00:00:00Z"
- Filter for all notes up to the end_time timestamp
"2025-04-31 or 2025-04-31T23:59:59Z"
Response
Note
The starting index of the notes returned
1
The ending index of the notes returned
10
The start_time of the notes returned. The format should be YYYY-MM-DDTHH:MM:SSZ
"2025-08-15T00:00:00Z"
The end_time of the notes returned. The format should be YYYY-MM-DDTHH:MM:SSZ
"2025-08-15T23:59:59Z"
The total number of notes returned
10
An array of note objects. Refer to the note object here